Subject: Re: [Hipsec] Operations Directorate Review of draft-ietf-hip-via-01 by 2010-06-11

From: "Bert (IETF) Wijnen" <[email-masked]>
Date: Fri, 11 Jun 2010 16:04:42 +0200

Hi, I have reviewed this document As a member of the Operations
Directorate. Specifically we look at operational and management aspects.

Not that I am not on the HPI wg mailing list.

The document describes 2 extensions to the HIP protocol and adds
one notification. I think the document is clear in terms of protocol spec.
W.r.t. if/how/when to use these extensions it states:

3. Protocol Definitions

The multi-hop routing extensions may be used in different contexts
and whether a new HIP packet should, for example, include a Via list
or have different options enabled, can depend on the particular use
case, local policies, and different protocols using the extension.
This section defines how the new parameters are handled, but when to
use these extensions is out of scope for this document.

So it leaves that up to another document. Is there such a document?
Such would be (in my view) operational aspects. But they are claimed
to be out of scope. I leave it up to our OPS ADs to decide if that
is problematic or not.

Bert Wijnen

Tina TSOU wrote:
> Hello,
> As a member of the Operations Directorate you are being asked to review
> the following draft which is in IETF last call for it's operational
> impact.
> IETF Last Call:
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-hip-via-01.txt
>
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=19355&rfc_flag=0
> <https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=19355&rfc_flag=0>
>
> Please provide comments and review to the Ops-dir mailing list
> ([email-masked]) before 2010-06-11, and include the authors of the
> draft as well.
> For a list of questions to be answered in an OPS-DIR review see Appendix A
> in RFC 5706. Note that not all questions may apply to all documents, and
> some other items may be identified by the OPS-DIR reviews.
> The status of Operations Directorate Review could be found
> http://trac.tools.ietf.org/area/ops/trac/wiki/Directorates
> or
> http://merlot.tools.ietf.org/tools/art/opsdir/index.cgi/t=4904/welcome
> You could update the wiki page when you finish the review.
> Thank you,
> Tina
> http://tinatsou.weebly.com/contact.html

---

From: Ari Keränen <[email-masked]>
Date: Tue, 15 Jun 2010 10:29:54 +0300

Hi Bert,

Thanks for the review! Comments inline.

> to be out of scope. I leave it up to our OPS ADs to decide if that

There is currently one draft (draft-ietf-hip-reload-instance-01) that 
uses this extension and defines in which cases the extension should be 
used. We believe that the Via extension can be useful in many contexts 
and therefore did not want to restrict its use cases too much but rather 
let the drafts using the extension define when and how to use the extension.

Cheers,
Ari

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Tue, 15 Jun 2010 10:11:39 +0200

Thanks for your answer. I leave it up to the OPS ADs to decide if this is 
acceptable.

Bert
----- Original Message ----- 
From: "Ari Keränen" <[email-masked]>
To: "Bert (IETF) Wijnen" <[email-masked]>
Cc: "Gonzalo Camarillo" <[email-masked]>; "Romascanu, Dan 
(Dan)" <[email-masked]>; "Ron Bonica" <[email-masked]>; 
<[email-masked]>; <[email-masked]>
Sent: Tuesday, June 15, 2010 9:29 AM
Subject: Re: Operations Directorate Review of draft-ietf-hip-via-01 by 
2010-06-11

Hi Bert,

Cheers,
Ari